## liri-calculator-1.3.0-1.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)

project("Calculator"
    VERSION "1.3.0"
    DESCRIPTION "Calculator application"
    LANGUAGES CXX C
)

## Shared macros and functions:
if(CALCULATOR_WITH_FLUID AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/fluid/CMakeLists.txt")
    set(LIRI_LOCAL_ECM TRUE)
    set(FLUID_WITH_DOCUMENTATION FALSE)
    set(FLUID_WITH_DEMO FALSE)
endif()
if(LIRI_LOCAL_ECM)
    list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/fluid/cmake/shared/modules")
else()
    find_package(LiriCMakeShared "1.0.0" REQUIRED NO_MODULE)
    list(APPEND CMAKE_MODULE_PATH "${LCS_MODULE_PATH}")
endif()

## Set minimum versions required.
set(QT_MIN_VERSION "5.10.0")

## Liri specific setup common for all modules:
include(LiriSetup)

## Features:
option(CALCULATOR_WITH_FLUID "Build together with Fluid" OFF)
add_feature_info("Calculator::WithFluid" CALCULATOR_WITH_FLUID "Build together with Fluid")

## Find Qt 5.
find_package(Qt5 "${QT_MIN_VERSION}"
    CONFIG REQUIRED
    COMPONENTS
        Core
        Gui
        Widgets
        Svg
        Qml
        Quick
        QuickControls2
        LinguistTools
)

## Add subdirectories:
if(CALCULATOR_WITH_FLUID)
    add_subdirectory(fluid)
endif()
add_subdirectory(data)
add_subdirectory(src)

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE AND NOT ANDROID)
    file(GLOB png_icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/*/*/*.png")
    file(GLOB svg_icons "${CMAKE_CURRENT_SOURCE_DIR}/icons/*/*/*.svg")
    foreach(source_path IN LISTS png_icons svg_icons)
        string(REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/icons/" "" icon_basename "${source_path}")
        get_filename_component(icon_directory "${icon_basename}" DIRECTORY)
        string(REPLACE "${icon_directory}/" "" icon_filename "${icon_basename}")
        string(REGEX REPLACE "\.(png|svg)" "" icon_filename "${icon_filename}")
        set(dest_path "${INSTALL_DATADIR}/icons/hicolor/${icon_directory}/")
        install(FILES "${source_path}" DESTINATION "${dest_path}")
    endforeach()
endif()

=== src/CMakeLists.txt ===
# Translations
file(GLOB LiriCalculator_TRANSLATIONS "${CMAKE_CURRENT_SOURCE_DIR}/translations/*_*.ts")
qt5_add_translation(LiriCalculator_QM_FILES ${LiriCalculator_TRANSLATIONS})
if(WIN32)
    set(_translations_destdir "${CMAKE_CURRENT_BINARY_DIR}/translations")
elseif(APPLE)
    set(_translations_destdir "${CMAKE_CURRENT_BINARY_DIR}/Contents/Resources/data/translations")
elseif(LINUX OR BSD)
    set(_translations_destdir "${INSTALL_DATADIR}/liri-calculator/translations")
endif()
if(DEFINED _translations_destdir)
    install(FILES ${LiriCalculator_QM_FILES} DESTINATION "${_translations_destdir}")
endif()

if(APPLE OR WIN32)
    set(LiriCalculator_OUTPUT_NAME "LiriCalculator")
else()
    set(LiriCalculator_OUTPUT_NAME "liri-calculator")
endif()

liri_add_executable(LiriCalculator
    OUTPUT_NAME
        "${LiriCalculator_OUTPUT_NAME}"
    SOURCES
        main/main.cpp
        filehandler/filehandler.cpp
        filehandler/filehandler.h
        ${LiriCalculator_QM_FILES}
    RESOURCES
        calculator.qrc
    DEFINES
        #QT_NO_CAST_FROM_ASCII
        QT_NO_FOREACH
    APPDATA
        "${CMAKE_CURRENT_SOURCE_DIR}/../data/io.liri.Calculator.appdata.xml"
    DESKTOP
        "${CMAKE_CURRENT_SOURCE_DIR}/../data/io.liri.Calculator.desktop"
    LIBRARIES
        Qt5::Core
        Qt5::Gui
        Qt5::Widgets
        Qt5::Qml
        Qt5::Quick
        Qt5::QuickControls2
    GUI
)
set_target_properties(LiriCalculator PROPERTIES
    MACOSX_BUNDLE_GUI_IDENTIFIER "io.liri.Calculator"
    MACOSX_BUNDLE_ICON_FILE "io.liri.Calculator"
    MACOSX_BUNDLE_SHORT_VERSION_STRING "${PROJECT_VERSION}"
)

=== PKGBUILD ===
# Maintainer: Felix Yan <felixonmars@archlinux.org>

pkgname=liri-calculator
pkgver=1.3.0
pkgrel=1
pkgdesc="More than a simple cross-platform Material Design calculator"
arch=("x86_64")
url="https://github.com/lirios/calculator"
license=("GPL")
depends=('fluid')
makedepends=('liri-cmake-shared' 'qt5-tools')
source=("$pkgname-$pkgver.tar.gz::https://github.com/lirios/calculator/archive/v$pkgver.tar.gz")
sha512sums=('9b5a28a5b95894983027bac8feda3359b29cf5fda96722b586c550210b6bab4ea15bfd5146c8be12d88807d3b08bf2de6e1178c1b27fa6d9e4aa905d0e8646ef')

prepare() {
  mkdir -p build
}

build() {
  cd build
  cmake -DCMAKE_INSTALL_PREFIX=/usr ../calculator-$pkgver
}

package() {
  cd build
  make DESTDIR="$pkgdir" install
}
